Listar facturas
curl --request GET \
--url https://www.facture.ar/api/invoices \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://www.facture.ar/api/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.facture.ar/api/invoices"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.facture.ar/api/invoices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"invoices": [
{
"id": "<string>",
"userId": "<string>",
"cuitId": "<string>",
"environment": "production",
"amount": 1210,
"voucherNumber": 145,
"feCAEReq": {},
"status": "processing",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"ptoVta": 1,
"invoiceType": 11,
"feCabResp": {},
"errorMessage": "<string>",
"description": "<string>",
"issuedAt": "2023-11-07T05:31:56Z",
"origin": "facturear",
"voidedBy": "<string>",
"cuit": {
"number": "20-12345678-9",
"persona": {}
}
}
],
"pagination": {
"page": 1,
"limit": 10,
"totalCount": 42,
"totalPages": 5,
"hasNextPage": true,
"hasPrevPage": true
}
}Facturas
Listar facturas
Lista las facturas del entorno de la API key, de la más nueva a la más vieja, con filtros y paginación.
GET
/
invoices
Listar facturas
Authorizations
API Key para autenticación. Formato: test_sk_xxx para testing, prod_sk_xxx para producción.
Query Parameters
CUIT emisor (o parte de él)
ID del CUIT emisor en Facturear (filtro exacto). Alternativa a cuit
Código de ARCA del tipo de comprobante
Número de comprobante
Documento del receptor (CUIT, CUIL o DNI, con o sin guiones: busca por DocNro exacto) o parte de su nombre (clientName, sin distinguir mayúsculas)
Estado de la factura
Available options:
success, error, processing Busca en CUIT emisor, número de comprobante, código de tipo de comprobante y descripción
Número de página
Required range:
x >= 1Elementos por página
Required range:
1 <= x <= 100